org.apache.mina.util.byteaccess

## Interface IoAbsoluteWriter

- All Known Subinterfaces:
    ByteArray
  All Known Implementing Classes:
    BufferByteArray, CompositeByteArray

      public interface IoAbsoluteWriter

  Provides absolute write access to a sequence of bytes.
  Author:
    Apache MINA Project

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `first()` Get the index of the first byte that can be accessed.
    `int` | `last()` Gets the index after the last byte that can be accessed.
    `ByteOrder` | `order()` Gets the order of the bytes.
    `void` | `put(int index, byte b)` Puts a `byte` at the given index.
    `void` | `put(int index, IoBuffer bb)` Puts bytes from the `IoBuffer` at the given index.
    `void` | `putChar(int index, char c)` Puts a `char` at the given index.
    `void` | `putDouble(int index, double d)` Puts a `double` at the given index.
    `void` | `putFloat(int index, float f)` Puts a `float` at the given index.
    `void` | `putInt(int index, int i)` Puts an `int` at the given index.
    `void` | `putLong(int index, long l)` Puts a `long` at the given index.
    `void` | `putShort(int index, short s)` Puts a `short` at the given index.

- - ### Method Detail

    - #### first

          int first()

      Get the index of the first byte that can be accessed.

    - #### last

          int last()

      Gets the index after the last byte that can be accessed.

    - #### order

          ByteOrder order()

      Gets the order of the bytes.

    - #### put

          void put(int index,
                 byte b)

      Puts a `byte` at the given index.

    - #### put

          void put(int index,
                 IoBuffer bb)

      Puts bytes from the `IoBuffer` at the given index.

    - #### putShort

          void putShort(int index,
                      short s)

      Puts a `short` at the given index.

    - #### putInt

          void putInt(int index,
                    int i)

      Puts an `int` at the given index.

    - #### putLong

          void putLong(int index,
                     long l)

      Puts a `long` at the given index.

    - #### putFloat

          void putFloat(int index,
                      float f)

      Puts a `float` at the given index.

    - #### putDouble

          void putDouble(int index,
                       double d)

      Puts a `double` at the given index.

    - #### putChar

          void putChar(int index,
                     char c)

      Puts a `char` at the given index.

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.